User avatar
jsantos
Site Admin
Topic Author
Posts: 2488
Joined: 20 Jan 2012, 17:18
Contact:

UnityPackage 1.3 RC3

20 Feb 2017, 22:39

This thread is dedicated exclusively to receive feedback about NoesisGUI 1.3 for Unity. The version is marked as Beta because although it is using internally the C# SDK, version that is quite stable right now, we implemented a new version of the plugin for Unity from scratch. So, from that point of view this should be an Alpha. Please, don't use this in production, just install in a new project and start building from that. Upgrades from v1.2 are not supported.

Main changes you will find in NoesisGUI for Unity v1.3:
  • It is using the C#SDK 1.3. More information about that version, in the official thread.
  • We no longer have a build system independent of Unity. Right now, NoesisGUI is tightly integrated with the pipeline of Unity. If you drop an .xaml to the project it will generate a new .asset resource. We are using directly the textures generated by Unity. Changes done in the texture importer will affect the rendering output of the GUI.
  • Support for previews and thumbnails of XAML
  • The renderer architecture is more flexible right now, making easier to render UI in custom scenarios. This new architecture is being used for the previews. We are also compatible with rendering the UI without being in play mode, but we disabled that functionality in this version until we solve a few issues.
We plan to release several RCs of this version this week and reach the final version by the end of week. This means that we are going to iterate with many versions in the following days. Your feedback is very important at this point. It is a good opportunity for you to make real changes to our product!

DOWNLOADS
 
ToddS
Posts: 14
Joined: 24 Jul 2013, 03:49

Re: UnityPackage 1.3 BETA5

21 Feb 2017, 00:55

Hi, this is good news. What platforms do you plan to support with the final 1.3 Unity version?
 
User avatar
jsantos
Site Admin
Topic Author
Posts: 2488
Joined: 20 Jan 2012, 17:18
Contact:

Re: UnityPackage 1.3 BETA5

21 Feb 2017, 01:01

Hi, this is good news. What platforms do you plan to support with the final 1.3 Unity version?
  • windows: x86 x86_64 OpenGL D3D11
  • macOS: x86 x86_64 OpenGL
  • linux: x86 x86_64 OpenGL
  • iOS: arm arm64 OpenGL ES Metal
  • android: arm x86 OpenGL ES
  • UWP: D3D11
  • Xbox One
  • PS4
We plan to add more platforms after 1.3.0 like D3D12, Metal on macOS, Vulkan...
 
User avatar
ai_enabled
Posts: 216
Joined: 18 Jul 2013, 05:28
Contact:

Re: UnityPackage 1.3 BETA5

21 Feb 2017, 05:46

Doesn't work well for us on Unity 5.3 - a lot of errors after importing the package into the new Unity project.
What the versions of Unity do you support currently?
AtomicTorch Studio Pte. Ltd. http://atomictorch.com
 
User avatar
jsantos
Site Admin
Topic Author
Posts: 2488
Joined: 20 Jan 2012, 17:18
Contact:

Re: UnityPackage 1.3 BETA5

21 Feb 2017, 06:16

Doesn't work well for us on Unity 5.3 - a lot of errors after importing the package into the new Unity project.
What the versions of Unity do you support currently?
We used Unity 5.5. Not sure how many versions we can go back because we eliminated many of the complexity we had to cover previous versions of Unity, to avoid Unity bugs, etc.

Could you please paste the errors here?

Thanks!
 
Roms6
Posts: 8
Joined: 10 Feb 2015, 18:53

Re: UnityPackage 1.3 BETA5

21 Feb 2017, 06:21

Glad to see you have finally released it :)

Otherwise, I'm registered as a Unity license user, but I can't download it actually. I'm getting this message: "You are not authorised to download this attachment".
 
User avatar
ai_enabled
Posts: 216
Joined: 18 Jul 2013, 05:28
Contact:

Re: UnityPackage 1.3 BETA5

21 Feb 2017, 06:23

Well I've already uninstalled Unity 5.3... there were multiple issues.
I just upgraded to Unity 5.4 and there are much less issues.
It doesn't support the PreferBinarySerialization attribute which was introduced only in Unity 5.5. So NoesisFont.cs and NoesisXaml.cs could not be compiled at Unity 5.4.
I will try comment them out with #if UNITY_5_5_OR_NEWER.

UPD. Nope, there are many more issues after that. And they're very similar to what I've seen with Unity 5.3:
Assets/NoesisGUI/Plugins/Editor/NoesisXamlEditor.cs(72,29): error CS1502: The best overloaded method match for `UnityEditor.EditorGUILayout.Foldout(bool, string, UnityEngine.GUIStyle)' has some invalid arguments
(and a few more same error messages)
The problem is that Unity 5.3 and 5.4 doesn't have this override:
public static bool Foldout(bool foldout, string content, bool toggleOnLabelClick, GUIStyle style = EditorStyles.foldout);
Will try to isolate this too.

UPD2. It's compiled successfully now.
Thought the problem is now with the provided sample scenes. They could not be properly loaded/played. There are multiple errors:
GameObject has multiple Transform components! Merged into single one.

Object GameObject (named '') has multiple entries of the same Object component. Removing it!
UnityEditor.DockArea:OnGUI()

Transform component could not be found on game object. Adding one!
UnityEditor.DockArea:OnGUI()
Upgrading to Unity 5.5...
AtomicTorch Studio Pte. Ltd. http://atomictorch.com
 
User avatar
ai_enabled
Posts: 216
Joined: 18 Jul 2013, 05:28
Contact:

Re: UnityPackage 1.3 BETA5

21 Feb 2017, 06:45

No problems with sample project at Unity 5.5.
Thought I'm afraid to use it as there are several known issues... that's why we stuck with Unity 5.3.
@jsantos, I think you could try downgrading to Unity 5.4 (or even 5.3), quickly implement workarounds for these code features and re-assemble the scenes to be compatible with this older version of Unity. Thought you might lose binary serialization option for your asset files. And I don't know if there are any Mono restrictions with older Unity versions which could prevent you from properly integrate NoesisGUI.
Please let us know about your decision as we don't want to upgrade VoidExpanse to Unity 5.5 right now. 5.4 will be ok and 5.3 will be ideal.
Thought we can upgrade to Unity 5.5 in separate branch just to test NoesisGUI 1.3 with our project. But I'm afraid upgrading might take extra time from us.
AtomicTorch Studio Pte. Ltd. http://atomictorch.com
 
User avatar
jsantos
Site Admin
Topic Author
Posts: 2488
Joined: 20 Jan 2012, 17:18
Contact:

Re: UnityPackage 1.3 BETA5

21 Feb 2017, 07:50

Glad to see you have finally released it :)

Otherwise, I'm registered as a Unity license user, but I can't download it actually. I'm getting this message: "You are not authorised to download this attachment".
Sorry for that. We are still fixing many things in the new website. And the licenses are going to change whenever the final 1.3 is out.

Could you please try again?
 
User avatar
jsantos
Site Admin
Topic Author
Posts: 2488
Joined: 20 Jan 2012, 17:18
Contact:

Re: UnityPackage 1.3 BETA5

21 Feb 2017, 07:56

No problems with sample project at Unity 5.5.
Thought I'm afraid to use it as there are several known issues... that's why we stuck with Unity 5.3.
@jsantos, I think you could try downgrading to Unity 5.4 (or even 5.3), quickly implement workarounds for these code features and re-assemble the scenes to be compatible with this older version of Unity. Thought you might lose binary serialization option for your asset files. And I don't know if there are any Mono restrictions with older Unity versions which could prevent you from properly integrate NoesisGUI.
Please let us know about your decision as we don't want to upgrade VoidExpanse to Unity 5.5 right now. 5.4 will be ok and 5.3 will be ideal.
Thought we can upgrade to Unity 5.5 in separate branch just to test NoesisGUI 1.3 with our project. But I'm afraid upgrading might take extra time from us.
Thanks for the feedback! I have to analyze this carefully before taking a decision. Problem is this week we want to release so many things I am not sure we will have time for this before GDC. We also have almost ready the new version of the C# SDK. The plan is releasing it today.

Who is online

Users browsing this forum: No registered users and 2 guests